#include "boss/ui.hpp"

namespace boss {
  UI::UI(shared_ptr<World> world, Entity boss_id) {
    (void)world;
    (void)boss_id;
  }

  void UI::init() {

  }

  void UI::render(sf::RenderWindow& window) {
    (void)window;
  }

  bool UI::mouse(float x, float y, guecs::Modifiers mods) {
    (void)x;
    (void)y;
    (void)mods;
    return false;
  }

  bool UI::boss_dead() {
    return true;
  }
}
